3.0.3: error: Failed to download jquery-ui

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

3.0.3: error: Failed to download jquery-ui

balducci
hello

apologies: this isn't actually directly related to matplotlib, but I
hope someone on this list will be able to give me some clue

Installation of latest 3.0.3 (on linux) fails for me with:

----8<----
error: Failed to download jquery-ui.  Please download https://jqueryui.com/resources/download/jquery-ui-1.12.1.zip and extract it to build/bdist.linux-x86_64/egg/matplotlib/backends/web_backend/.
---->8----

AFAICS, the actual download is done in setupext.py, via a call to
Request (from urllib or urllib2);

Unfortunately (for me) I don't speak python; hence the help request:

is there any flag I could raise in setupext.py or somewhere else to
get debugging output from Request that can help me to understand what
is going on?

I suspect some problem with certificates or the like;

As a matter of fact, if I manually download the jquery-ui-1.12.1
zip and redefine url to
"file:/home/balducci/tmp/install-us-d/matplotlib-3.0.2.d/jquery-ui-1.12.1.zip"
in setup.py, everything works fine...

I have tried some recipes found on the web to no avail, eg:

httplib.HTTPConnection.debuglevel = 1



I thank you very much in advance for any help


ciao
-gabriele
_______________________________________________
Matplotlib-users mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/matplotlib-users